CGAL 6.2 - 2D and 3D Linear Geometry Kernel: Kernel::ConstructCircle_3 Concept Reference

CGAL 6.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::ConstructCircle_3 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableTernaryFunction`

See also
  `CGAL::Circle_3<Kernel>`

## Operations
A model of this concept must provide:
Kernel::Circle_3 | operator() (Kernel::Point_3 const &center, Kernel::FT const &sq_r, Kernel::Plane_3 const &plane)
| introduces a variable of type `Kernel::Circle_3`.
Kernel::Circle_3 | operator() (Kernel::Point_3 const &center, Kernel::FT const &sq_r, Kernel::Vector_3 const &n)
| introduces a variable of type `Kernel::Circle_3`.
Kernel::Circle_3 | operator() (Kernel::Point_3 const &p, Kernel::Point_3 const &q, Kernel::Point_3 const &r)
| introduces a variable of type `Kernel::Circle_3`.
Kernel::Circle_3 | operator() (Kernel::Sphere_3 const &sphere1, Kernel::Sphere_3 const &sphere2)
| introduces a variable of type `Kernel::Circle_3`.
Kernel::Circle_3 | operator() (Kernel::Sphere_3 const &sphere, Kernel::Plane_3 const &plane)
| introduces a variable of type `Kernel::Circle_3`.
Kernel::Circle_3 | operator() (Kernel::Plane_3 const &plane, Kernel::Sphere_3 const &sphere)
| introduces a variable of type `Kernel::Circle_3`.

## Member Function Documentation

## ◆ operator()() [1/6]

Kernel::Circle_3 Kernel::ConstructCircle_3::operator() | ( | Kernel::Plane_3 const & | plane,
|  | Kernel::Sphere_3 const & | sphere
| ) |  |

introduces a variable of type `Kernel::Circle_3`.

It is initialized to the circle along which the sphere and the plane intersect.

Precondition
  The sphere and the plane intersect along a circle.

## ◆ operator()() [2/6]

Kernel::Circle_3 Kernel::ConstructCircle_3::operator() | ( | Kernel::Point_3 const & | center,
|  | Kernel::FT const & | sq_r,
|  | Kernel::Plane_3 const & | plane
| ) |  |

introduces a variable of type `Kernel::Circle_3`.

It is initialized to the circle with center `center`, and squared radius `sq_r` in the plane `plane`.

Precondition
  `center` lies in `plane` and `sq_r >= 0`.

## ◆ operator()() [3/6]

Kernel::Circle_3 Kernel::ConstructCircle_3::operator() | ( | Kernel::Point_3 const & | center,
|  | Kernel::FT const & | sq_r,
|  | Kernel::Vector_3 const & | n
| ) |  |

introduces a variable of type `Kernel::Circle_3`.

It is initialized to the circle with center `center`, and squared radius `sq_r` in the plane containing `center` and normal to `n`.

Precondition
  `sq_r >= 0`.

## ◆ operator()() [4/6]

Kernel::Circle_3 Kernel::ConstructCircle_3::operator() | ( | Kernel::Point_3 const & | p,
|  | Kernel::Point_3 const & | q,
|  | Kernel::Point_3 const & | r
| ) |  |

introduces a variable of type `Kernel::Circle_3`.

It is initialized to the circle passing through the three points.

Precondition
  The three points are not collinear.

## ◆ operator()() [5/6]

Kernel::Circle_3 Kernel::ConstructCircle_3::operator() | ( | Kernel::Sphere_3 const & | sphere,
|  | Kernel::Plane_3 const & | plane
| ) |  |

introduces a variable of type `Kernel::Circle_3`.

It is initialized to the circle along which the sphere and the plane intersect.

Precondition
  The sphere and the plane intersect along a circle.

## ◆ operator()() [6/6]

Kernel::Circle_3 Kernel::ConstructCircle_3::operator() | ( | Kernel::Sphere_3 const & | sphere1,
|  | Kernel::Sphere_3 const & | sphere2
| ) |  |

introduces a variable of type `Kernel::Circle_3`.

It is initialized to the circle along which the two spheres intersect.

Precondition
  The two spheres intersect along a circle.